Bug 1244522 - Review Request: python-autobahn - Python networking library for WebSocket and WAMP
Summary: Review Request: python-autobahn - Python networking library for WebSocket and...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1016274 1238787 1244510 1244514 1244517 1252140
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-19 16:00 UTC by Julien Enselme
Modified: 2015-08-22 16:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 16:28:54 UTC
Type: ---
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2015-07-19 16:00:32 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-autobahn.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-autobahn-0.10.4-1.git29f8acc.fc22.src.rpm
Description:
Autobahn a networking library that is part of the Autobahn project and provides
implementations of
* The WebSocket Protocol http://tools.ietf.org/html/rfc6455_
* The Web Application Messaging Protocol (WAMP) http://wamp.ws
for Twisted and asyncio on Python 2 & 3 and for writing servers and clients.

Fedora Account System Username: jujens

Comment 1 Julien Enselme 2015-07-24 11:12:25 UTC
- Surround doc package with if
- Remove %%py3dir macro
- Add CFLAGS in %%build

SPEC: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-autobahn.spec
SRPM: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-autobahn-0.10.4-2.git29f8acc.fc22.src.rpm

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-07-30 15:11:47 UTC
I'll review this once the deps are done.

Comment 3 Julien Enselme 2015-08-08 15:44:22 UTC
* Wed Aug 5 2015 Julien Enselme <jujens@jujens.eu> - 0.10.4-3.git29f8acc
- Build python2 and python3 in the same dir
- Update dependencies
- Put python2 package in a subpackage
- Add provides
- Correct %%files section

SPEC: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-autobahn.spec
SRPM: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-autobahn-0.10.4-3.git29f8acc.fc22.src.rpm
koji (build pass on rawhide, any other release will fail since they are still missing some deps): http://koji.fedoraproject.org/koji/taskinfo?taskID=10648319

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-08-13 03:07:35 UTC
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (2 clause)", "*No copyright* MIT/X11
     (BSD like)", "Unknown or generated", "*No copyright* MPL (v2.0)". 33
     files have unknown license. Detailed output of licensecheck in
     /var/tmp/1244522-python-autobahn/licensecheck.txt
Two files under MPL are in examples and are not installed.
License is OK.

[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/twisted(python-carbon), /usr/lib/python2.7/site-
     packages/twisted/plugins(python-carbon)
I think it's fine if various plugin packages coown those directories.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-autobahn , python3-autobahn
[x]: Package functions as described.
[!]: Latest version is packaged.
pypi has 0.10.5.post2, whatever that means.

[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Rpmlint
-------
Checking: python2-autobahn-0.10.4-3.git29f8acc.fc24.noarch.rpm
          python3-autobahn-0.10.4-3.git29f8acc.fc24.noarch.rpm
          python-autobahn-0.10.4-3.git29f8acc.fc24.src.rpm
python-autobahn.src: W: spelling-error %description -l en_US asyncio -> Asuncion
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python3-autobahn (rpmlib, GLIBC filtered):
    python(abi)
    python3-lz4
    python3-msgpack
    python3-six
    python3-snappy
    python3-txaio
    python3-ujson
    python3-wsaccel
    python3-zope-interface

python2-autobahn (rpmlib, GLIBC filtered):
    python(abi)
    python-futures
    python-lz4
    python-msgpack
    python-six
    python-snappy
    python-trollius
    python-twisted
    python-zope-interface
    python2-txaio
    python2-ujson
    python2-wsaccel

Provides
--------
python3-autobahn:
    python3-autobahn

python2-autobahn:
    python-autobahn
    python2-autobahn


OK, everything looks good. Package is APPROVED.

(Update to the latest microrelease though. "post2" sounds like a bugfix release.)

Comment 5 Julien Enselme 2015-08-15 19:14:38 UTC
Package updated: http://koji.fedoraproject.org/koji/taskinfo?taskID=10708760
SPEC: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-autobahn.spec
SRPM: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-autobahn-0.10.5-1.git3fce8ac.fc22.src.rpm

Thanks for the review.

New Package SCM Request
=======================
Package Name: python-autobahn
Short Description: Python networking library for WebSocket and WAMP
Upstream URL: https://github.com/tavendo/AutobahnPython
Owners: jujens
Branches: f23

Comment 6 Gwyn Ciesla 2015-08-17 13:37:09 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.